org.apache.olingo.server.api.prefer

## Class PreferencesApplied.Builder

- java.lang.Object
- - org.apache.olingo.server.api.prefer.PreferencesApplied.Builder

- Enclosing class:
    PreferencesApplied

      public static final class PreferencesApplied.Builder
      extends Object

  Builder of OData serializer options.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `PreferencesApplied.Builder` | `allowEntityReferences()` Sets `odata.allow-entityreferences`.
    `PreferencesApplied` | `build()` Builds the applied preferences.
    `PreferencesApplied.Builder` | `callback()` Sets `odata.callback`.
    `PreferencesApplied.Builder` | `continueOnError()` Sets `odata.continue-on-error`.
    `PreferencesApplied.Builder` | `maxPageSize(Integer maxPageSize)` Sets the value of the applied preference `odata.maxpagesize`.
    `PreferencesApplied.Builder` | `preference(String name, String value)` Sets an arbitrary preference as applied.
    `PreferencesApplied.Builder` | `respondAsync()` Sets `odata.respond-async`.
    `PreferencesApplied.Builder` | `returnRepresentation(Preferences.Return returnRepresentation)` Sets the value of the applied preference `return`.
    `PreferencesApplied.Builder` | `trackChanges()` Sets `odata.track-changes`.
    `PreferencesApplied.Builder` | `waitPreference(Integer wait)` Sets the value of the applied preference `wait`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### allowEntityReferences

          public PreferencesApplied.Builder allowEntityReferences()

      Sets `odata.allow-entityreferences`.

    - #### callback

          public PreferencesApplied.Builder callback()

      Sets `odata.callback`.

    - #### continueOnError

          public PreferencesApplied.Builder continueOnError()

      Sets `odata.continue-on-error`.

    - #### maxPageSize

          public PreferencesApplied.Builder maxPageSize(Integer maxPageSize)

      Sets the value of the applied preference `odata.maxpagesize`.

    - #### trackChanges

          public PreferencesApplied.Builder trackChanges()

      Sets `odata.track-changes`.

    - #### returnRepresentation

          public PreferencesApplied.Builder returnRepresentation(Preferences.Return returnRepresentation)

      Sets the value of the applied preference `return`.

    - #### respondAsync

          public PreferencesApplied.Builder respondAsync()

      Sets `odata.respond-async`.

    - #### waitPreference

          public PreferencesApplied.Builder waitPreference(Integer wait)

      Sets the value of the applied preference `wait`.

    - #### preference

          public PreferencesApplied.Builder preference(String name,
                                                       String value)

      Sets an arbitrary preference as applied. The preference name is converted to lowercase. The value of this preference may be `null`. Name and value are not checked for validity.
      Parameters:
        `name` - preference name
        `value` - preference value

    - #### build

          public PreferencesApplied build()

      Builds the applied preferences.

Copyright © 2013–2022 The Apache Software Foundation. All rights reserved.